Subject: bug#9366: Display geometry change hook

From: martin rudalics <[email-masked]>
Date: Sun, 20 Sep 2020 10:14:34 +0200

> Do we really have to do this on such a low level?  Why cannot we call
 > such a hook from change_frame_size, which would allow us to do that in
 > platform-independent manner?
 >
 > Martin, am I missing something here?

Would change_frame_size be aware of such a geometry change?  IIUC
the original request

https://lists.gnu.org/archive/html/emacs-devel/2011-08/msg00544.html

Edward would really just want a completely separate hook that reports to
Emacs the identity of the changed display and maybe its new geometry and
is only called in those, IMO very rare, occasions.  Or what am I missing
here?

martin